//==============================================================================
//
// d/wilson_d520/cr_asm.cc
//
//------------------------------------------------------------------------------
//
// Copyright (C) 2010 Thomas Streuer 
//
// This file is part of BQCD -- Berlin Quantum ChromoDynamics program
//
// BQCD is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// BQCD is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
//
//------------------------------------------------------------------------------
#include "bgp_asm_code.h"
#include "bgp_wilson.h"

#include <iostream>
#include <vector>

using std::vector;


int main(int argc, char** argv)
{
  bgp_wilson_t code(false, false);
  code.listing();
  bgp_wilson_t code_dg(true, false);
  code_dg.listing();
  bgp_wilson_t code_sng(false, true);
  code_sng.listing();
  bgp_wilson_t code_sng_dg(true, true);
  code_sng_dg.listing();
  return 0;
}
